require("ChIPseeker", quietly = TRUE)
require("ChIPpeakAnno", quietly = TRUE)
require("EnsDb.Hsapiens.v75", quietly = TRUE)
require("data.table", quietly = TRUE)

options(warn = -1)
options("download.file.method"="wget")

args <- commandArgs(trailingOnly = TRUE)
DMR = args[1]
annoPeakTable = args[2]

DMRInfo = fread(
  DMR,
  header = FALSE,
  sep = "\t",
  stringsAsFactors = FALSE,
  quote = ""
)

peaks <- GRanges(seqnames = DMRInfo[, 1],
                    ranges = IRanges
                    (start = DMRInfo[, 2], end = DMRInfo[, 3]))

annoData <- toGRanges(EnsDb.Hsapiens.v75)
seqlevelsStyle(peaks) <- seqlevelsStyle(annoData)

anno <- annoPeaks(peaks, annoData=annoData,bindingType ="startSite")

write.table(anno, annoPeakTable, row.names = FALSE)